#-*-djinn-cfg-*-
#----------------------------------------------------------
# Djinn chess program configuration file.  All lines 
# that begin with a # are considered comments. The
# lines can be reordered by the identifier fields
# should not change.
#----------------------------------------------------------

# Generate a log file (true/false)
create-log= true

# Directory to store all log files.  This can also be set by setting 
# Environment variable equivalent: DJINN_LOG_PATH
log-path = /design/djinn/logs

# Load the opening book if found (true/false)
use-opening-book = true

# Opening book to use.  
# Environment variable equivalent: DJINN_OPENING_BOOK
# opening-book=/design/djinn/book/large.bin 
opening-book=/design/djinn/book/tbook.bin 

#---------------------------------------------------------------------
# Opening book style.  Presently there are four different style types:
#---------------------------------------------------------------------
# SOLID (default) : The engine selects a "solid" move (whatever 
#                   that means :)
# FREQ            : Select a move at random, but weight the 
#                   selection towards the moves played most often.
# RANDOM          : Selects a completely random move (very wild)
# FIRST           : Selects the first move listed for the position
#---------------------------------------------------------------------
opening-style = FIRST

#---------------------------------------------------------------------
# Learning related settings (both book and position learning)
#---------------------------------------------------------------------
learn-path = /design/djinn/learn

# Enable/disable "position" learning (true/false, default=false).  
position-learning= true

# This parameter sets the threshold that must be crossed before position
# learning will kick-in (100=1 PAWN)
position-learning-threshold=100
#
# Minimum trigger depth the engine must search before it will allow
# positional learning to occur (note, the minimum value is 2, default=8).
position-learning-depth = 8

# Size of main hash table.  The size can be in megabyte (MB), 
# kilobytes (kB) or raw size (e.g. 23405056).  The value will get
# truncated to the next smaller size down.  The default = 24MB
hash = 128MB

# Same deal for the pawn hash table (default=8M).
pawn-hash = 32MB

# Load the endgame tablebases if found (true/false).
use-tb = true

# Path to the Nalimov endgame tablebase (if present)
# Environment variable equivalent: DJINN_TB_PATH
tb-path = /home/egtb/TB

# This sets the size of the Endgame tablebase RAM cache (default=8M).
tb-cache= 8M 

#-----------------------------------------------------------------------
# This determines the point-of-view of the score being displayed.   
#-----------------------------------------------------------------------
#   WHITE - Always show the score from white's point-of-view (default)
#   BLACK - Or always show the score from black's point-of-view                      
#   ENGINE- Use the engine's perspective for all scores               
#   PLAYER- Use the player's perspective for all scores      
#-----------------------------------------------------------------------
pov-display = engine

#-----------------------------------------------------------------------
# PROGRAMMING OPTIONS - These options affect the way the engine plays,
# which means you should probably leave them alone unless you have some
# idea of what you are doing, (of course, that didn't stop me! :)
# As the program's public life matures this section will grow.
#-----------------------------------------------------------------------

# This is used to pull the *enemy* pieces towards the less safe king.
# Values can range from -2.00 to 2.00 (a negative value will *REPEL* 
# the enemy pieces from the weaker king).  125 = 1.25 internally.
# (default=125)
king-safety-scalar= 125

# This variable determines how aggressive the program is in deleting
# certain lines of play in the regular search.  Setting this to 0 will
# turn off the selectivity.  A larger value will make it more prune
# more lines of play.
selectivity=0

# Resignation cutoff score in terms of pawns (3 = three pawns etc.)
# Values can range from 3 to 50. Default = 7
resignation-cutoff=7

